# Uses of Annotation Interface
org.springframework.context.annotation.Bean

Packages that use Bean
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.
org.springframework.scheduling.annotation
Annotation support for asynchronous method execution.

## Uses of Bean in org.springframework.cache.annotation

Methods in org.springframework.cache.annotation with annotations of type Bean
Modifier and Type
Method
Description
`BeanFactoryCacheOperationSourceAdvisor`
ProxyCachingConfiguration.`cacheAdvisor(CacheOperationSource cacheOperationSource, CacheInterceptor cacheInterceptor)`
`CacheInterceptor`
ProxyCachingConfiguration.`cacheInterceptor(CacheOperationSource cacheOperationSource)`
`CacheOperationSource`
ProxyCachingConfiguration.`cacheOperationSource()`

## Uses of Bean in org.springframework.context.annotation

Methods in org.springframework.context.annotation with annotations of type Bean
Modifier and Type
Method
Description
`LoadTimeWeaver`
LoadTimeWeavingConfiguration.`loadTimeWeaver()`
`AnnotationMBeanExporter`
MBeanExportConfiguration.`mbeanExporter()`

## Uses of Bean in org.springframework.scheduling.annotation

Methods in org.springframework.scheduling.annotation with annotations of type Bean
Modifier and Type
Method
Description
`AsyncAnnotationBeanPostProcessor`
ProxyAsyncConfiguration.`asyncAdvisor()`
`ScheduledAnnotationBeanPostProcessor`
SchedulingConfiguration.`scheduledAnnotationProcessor()`